%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-cachetools
Version:        1.0.3
Release:        1%{?dist}
Summary:        Extensible memoizing collections and decorators

License:        MIT
URL:            https://pypi.python.org/pypi/cachetools
Source0:        https://pypi.python.org/packages/source/c/cachetools/cachetools-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if %{with python3}
BuildRequires:  python3-devel
%endif # with python3

%description
This module provides various memoizing collections and decorators,
including a variant of the Python 3 Standard Library @lru_cache
function decorator.

This module provides multiple cache implementations based on different
cache algorithms, as well as decorators for easily memoizing function
and method calls.


%if %{with python3}
%package     -n python3-cachetools
Summary:        Extensible memoizing collections and decorators

%description -n python3-cachetools
This module provides various memoizing collections and decorators,
including a variant of the Python 3 Standard Library @lru_cache
function decorator.

This module provides multiple cache implementations based on different
cache algorithms, as well as decorators for easily memoizing function
and method calls.

%endif # with python3


%prep
%setup -qc
rm -rf cachetools-%{version}/cachetools.egg-info
mv cachetools-%{version} python2

%if %{with python3}
cp -a python2 python3
%endif # with python3


%build
pushd python2
%{__python2} setup.py build
popd

%if %{with python3}
pushd python3
%{__python3} setup.py build
popd
%endif # with python3


%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if %{with python3}
pushd python3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with python3

pushd python2
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd


%check
pushd python2
%{__python2} setup.py test
popd

%if %{with python3}
pushd python3
%{__python2} setup.py test
popd
%endif


%files
%doc python2/CHANGES.rst python2/PKG-INFO python2/README.rst
%license python2/LICENSE
# For noarch packages: sitelib
%{python2_sitelib}/cachetools/*
%{python2_sitelib}/cachetools-%{version}-py2.7.egg-info

%if %{with python3}
%files -n python3-cachetools
%doc python3/CHANGES.rst python3/PKG-INFO python3/README.rst
%license python3/LICENSE
# For noarch packages: sitelib
%{python3_sitelib}/cachetools/*
%{python3_sitelib}/cachetools-%{version}-py3.4.egg-info
%endif # with python3


%changelog
* Tue Jul 21 2015 John Eckersberg <eck@redhat.com> - 1.0.3-1
- New upstream release 1.0.3

* Mon Jul 20 2015 John Eckersberg <eck@redhat.com> - 1.0.2-2
- Remove egg-info in %%setup
- Install license via %%license instead of %%doc
- Don't rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- Removed defines for __python2, python2_sitelib, and python2_sitearch
- Be more explicit in %%files

* Fri Jun 19 2015 John Eckersberg <eck@redhat.com> - 1.0.2-1
- Initial package
